From: Steve Hoelzer <shoelzer@gmail•com>
To: git@vger•kernel.org
Subject: [PATCH] Add cg-tag-ls command
Date: Fri, 29 Apr 2005 10:55:29 -0500 [thread overview]
Message-ID: <5881929705042908554ccc6529@mail.gmail.com> (raw)
cg-tag-ls lists all tags in a GIT repository.
Signed-off-by: Steve Hoelzer <shoelzer@gmail•com>
Index: Makefile
===================================================================
--- c3aa1e6b53cc59d5fbe261f3f859584904ae3a63/Makefile (mode:100644
sha1:d73bea1cbb9451a89b03d6066bf2ed7fec32fd31)
+++ uncommitted/Makefile (mode:100644)
@@ -44,7 +44,7 @@
cg-add cg-admin-lsobj cg-cancel cg-clone cg-commit cg-diff \
cg-export cg-help cg-init cg-log cg-ls cg-merge cg-mkpatch \
cg-patch cg-pull cg-branch-add cg-branch-ls cg-rm cg-seek cg-status \
- cg-tag cg-update cg-Xlib
+ cg-tag cg-tag-ls cg-update cg-Xlib
COMMON= read-cache.o
Index: cg-help
===================================================================
--- c3aa1e6b53cc59d5fbe261f3f859584904ae3a63/cg-help (mode:100755
sha1:d16446c005c4698f408bf651afd718d95f5a9cfe)
+++ uncommitted/cg-help (mode:100755
sha1:31ea484f757fc4bf5de25acb621e219f4bfb0f52)
@@ -42,6 +42,7 @@
cg-seek [COMMIT_ID]
cg-status
cg-tag TNAME [COMMIT_ID]
+ cg-tag-ls
cg-update [BNAME]
cg-version
Index: cg-tag-ls
===================================================================
--- /dev/null (tree:c3aa1e6b53cc59d5fbe261f3f859584904ae3a63)
+++ uncommitted/cg-tag-ls (mode:100755
sha1:15b5db0cd2a023a078f467d1bcd3bc0c5eb833dc)
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+#
+# List stored GIT tags.
+# Copyright (c) Steve Hoelzer 2005
+#
+# Takes no parameters.
+
+. cg-Xlib
+
+mkdir -p .git/refs/tags
+[ "$(find .git/refs/tags -follow -type f)" ] \
+ || die "List of tags is empty. See cg-tag."
+
+cd .git/refs/tags
+for tag in *; do
+ echo -n $tag
+ echo -ne "\t"
+ cat $tag
+done
reply other threads:[~2005-04-29 15:50 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=5881929705042908554ccc6529@mail.gmail.com \
--to=shoelzer@gmail$(echo .)com \
--cc=git@vger$(echo .)kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox